﻿--[[
    Author:Darcey@AllForTheCode.co.uk 
--]]

-- SavedVariableDefaults
DCoords_MainFrameName = "DCoordsMainFrame";
DCoords_MainFrameVisible = true;
DCoords_MainFrameX = 400;
DCoords_MainFrameY = 300;
DCoords_MainFrameWidth = 150;
DCoords_MainFrameHeight = 10;
DCoords_MainFrameSelectedBg = 1;
DCoords_MainFrameShowBg = true;
DCoords_MainFrameBgAlpha = 1;
DCoords_MainFrameFont = 1;
DCoords_MainFrameFontSize = 30;
DCoords_MainFrameTextR = 1;
DCoords_MainFrameTextG = 1;
DCoords_MainFrameTextB = 1;
DCoords_MainFrameTextAlpha = 1;
DCoords_MainFrameTextAlign = 1;

DCoords_MapFontR = 1;
DCoords_MapFontG = 1;
DCoords_MapFontB = 1;
DCoords_MapFontA = 1;

DCoords_MainFrameBgR = 0;
DCoords_MainFrameBgG = 0;
DCoords_MainFrameBgB = 0;
DCoords_MainFrameBgA = 0.5;

DCoords_MainFrameDragEnabled = true;
DCoords_MainFrameShowZone = true;
DCoords_MainFrameShowSubZone = true;
DCoords_MainFrameDecimalPrecision = 2;

DCoords_MapFrameVisible = true;
DCoords_MapFrameFont = 1;
DCoords_MapFrameFontSize = 16;
DCoords_MapFrameTextAlpha = 1;
DCoords_MapFrameSingleDecimal = true;


-- Globals ("Fonts\\FRIZQT.TTF"; -- OLD: FRIZQT__.TTF)
DCoordsVersion = "4.1.1";
DCoordsDebug = false;


-- Libs
lsm = LibStub("LibSharedMedia-3.0")

DCoordsBgTypes = {"box","classic"};
fontPath = "Interface\\Addons\\DCoords\\Fonts\\";
defaultFont = 2;
--fontNames = {"Font 1","Font 2","Font 3","Font 4","Font 5","Font 6","Font 7","Font 8","Font 9","Font 10","Font 11","Font 12","Font 13","Font 14","Font 15","Font 16"}
fontFiles = {
	"AccidentalPresidency.ttf",
	"Lora-Regular.ttf",
	"Montserrat-Regular.ttf",
	"OpenSans-CondBold.ttf",
	"OpenSans-CondLight.ttf",
	"OpenSans-CondLightItalic.ttf",
	"MORPHEUS.TTF",
	"NotoSans-Bold.ttf",
	"NotoSans-Italic.ttf",
	"NotoSans-Regular.ttf",
	"stonehen.ttf",
	"tiffanynormal.ttf",
	"ARAMIS.TTF",
	"BRAVADO.TTF",
	"DIGIWOI_.TTF"
}
alignmentTypes = {"LEFT","CENTER"};


for i=1,#fontFiles do
	local fPath = fontPath..fontFiles[i];
	--log("REGISTERING: " .. fPath)
	lsm:Register ("font", "Font " .. tostring(i), fPath)
end

-- DCoordsMainFrame
DCoordsMainFrame = null;
DCoordsMainFrameText = null;

-- DCoordsMenuFrame
DCoordsMenuFrame = null;
DCoordsMenuFrameText = null;
cbShowDCoords = null;
cbEnableDrag = null;
cbShowZone = null;
cbShowSubZone = null;
cbShowBackground = null;
cbShowMapCoordinates = null;
sliderTextR = null;
sliderTextG = null;
sliderTextB = null;
sliderTextA = null;
sliderMainFontSize = null;
sliderDecimalPrecision = null;

-- DCoordsMapFrame
DCoordsMapFrame = null;
DCoordsMapFrameText = null;



-- Working vars
px = 0;
py = 0;
mpx = 0;
mpy = 0;
zone = "";
subZone = "";
location = "";
mouseIsOverMap = false;